> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fluz.app/llms.txt
> Use this file to discover all available pages before exploring further.

# registerBusiness

> Register a new business.

Register a new business. Creates business entity, signup form, and initiates KYB process.
Use the REST endpoint POST /api/v1/file-upload/business-application-document to upload documents first
when `businessStructure` is `SOLE_PROPRIETORSHIP` (sole proprietorship document) or when the applicant
is an authorized signer (authorized signer document).

```graphql theme={null}
mutation {
  registerBusiness(
    input: RegisterBusinessInput!
  ): RegisterBusinessResponse!
}
```

## Arguments

<ParamField body="input" type="RegisterBusinessInput!" required>
  *No description provided in the schema yet.*
</ParamField>

## Returns

[`RegisterBusinessResponse!`](/api-reference/types/register-business-response) — Response from business registration.
